curl --request PATCH \
--url https://api.ngrok.ai/provider-keys/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"metadata": "<string>"
}
'import requests
url = "https://api.ngrok.ai/provider-keys/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"metadata": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', metadata: '<string>'})
};
fetch('https://api.ngrok.ai/provider-keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"uri": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"providerId": "<string>",
"name": "<string>",
"keyRedacted": "<string>",
"createdBy": {
"id": "<string>",
"uri": "<string>"
},
"lastUpdatedBy": {
"id": "<string>",
"uri": "<string>"
},
"description": "<string>",
"metadata": "<string>",
"lastUsed": "2023-11-07T05:31:56Z"
}{
"statusCode": 123,
"msg": "<string>",
"details": {},
"errorCode": "<string>"
}Update an AI Gateway provider key
Update mutable fields on an existing AI Gateway provider key.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for an AI Gateway provider key.
Body
Response
The updated AI Gateway provider key.
Unique identifier for this provider key.
URI of this AI Gateway Provider Key API resource.
Timestamp when the provider key was created.
Timestamp when the provider key was last updated.
Which AI provider this key is for, for example openai or anthropic.
User-defined label for this provider key.
Redacted display form of the key value.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Human-readable description of this provider key.
Arbitrary user-defined metadata for this provider key.
Timestamp when the provider key was last used.
Was this page helpful?